curl --request GET \
--url https://api.human.prod.artistree.io/v1/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.human.prod.artistree.io/v1/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.human.prod.artistree.io/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"order_stats": {
"total_in_progress": 0,
"total_certified": 0,
"total_action_required": 0,
"total_reviewed": 0,
"total_failed": 0,
"total_unsupported": 0,
"total_orders": 0
},
"project_names": [
"<string>"
],
"next_page_token": "<string>",
"orders": [
{
"order_id": "<string>",
"username": "<string>",
"email": "<string>",
"order_state": "In Progress",
"order_title": "<string>",
"asset_id": "<string>",
"asset_name": "<string>",
"asset_last_modified_timestamp": "<string>",
"ordered_by": "<string>",
"creation_time": "<string>",
"asset_preview_url": "<string>",
"analysis_list": [
{
"analysis_type": "<string>",
"analysis_passed": true
}
],
"analysis_failed_items": [
{
"type": "<string>",
"name": "<string>",
"s3_path": "<string>",
"ai_likelihood": 0,
"annotation_ids": [
"<string>"
],
"annotation_id": "<string>"
}
],
"tags": [
"<string>"
],
"confidence": 0,
"remediation": 0,
"annotations": [
{
"id": "<string>",
"bodies": [
{
"value": "<string>",
"id": "<string>",
"annotation": "<string>"
}
],
"properties": {
"needs_remediation": true,
"ai_likelihood": 123
},
"target": {
"annotation": "<string>",
"selector": {
"type": "RECTANGLE",
"geometry": {
"bounds": {
"minX": 123,
"minY": 123,
"maxX": 123,
"maxY": 123
},
"x": 123,
"y": 123,
"w": 123,
"h": 123,
"points": [
[
123
]
]
}
}
}
}
],
"project": {
"id": "<string>",
"name": "<string>",
"userRole": "<string>"
},
"reviewed_by": "<string>",
"review_timestamp": "<string>",
"layers_info": [
{
"layer_name": "<string>",
"layer_url": "<string>"
}
]
}
],
"order_previews": [
{
"order_id": "<string>",
"order_title": "<string>",
"creation_time": "<string>",
"order_state": "In Progress",
"asset_preview_url": "<string>",
"project_name": "<string>",
"analysis_list": [
{
"analysis_type": "<string>",
"analysis_passed": true
}
],
"tags": [
"<string>"
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"type": "<string>"
}
]
}List orders
List certificate orders for the organization. All requests are paginated.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Language preference for the response
Query Parameters
Filter by project ID. This parameter is required, pass 'All Projects' to retrieve all organization orders.
If true, returns lightweight order previews instead of full order details.
Pagination token for the next page of results.
Maximum number of orders per page. Defaults to 200, max 1000.
Response
The list orders response
Aggregated order counts broken down by state for the queried scope.
Show child attributes
Show child attributes
Project names available in the organization for filtering. When querying ALL_PROJECTS, this includes 'Personal Certificates' as the first entry followed by project names sorted alphabetically. Empty when filtering by a specific project or personal certificates.
Opaque token to retrieve the next page of results. Pass this as the page_token query parameter on the next request. Null when there are no more results.
Full order details. Present when preview=false.
Show child attributes
Show child attributes
Lightweight order summaries. Present when preview=true.
Show child attributes
Show child attributes